package com.haris.equipment.manager.errorhandling;

import lombok.Getter;

/**
 * @author Tamas
 */

@Getter
public enum ErrorMessage {

    ID_PROVIDED_ON_CREATION("ERROR.ID_PROVIDED_ON_RECORD_CREATION"),
    ID_REQUIRED("ERROR.ID_DID_NOT_PROVIDED_ON_RECORD_UPDATE"),
    DATA_INTEGRITY_VIOLATION("ERROR.DATA_INTEGRITY_VIOLATION_OCCURRED"),
    DATA_ACCESS_EXCEPTION("ERROR.DATA_ACCESS_EXCEPTION_OCCURRED"),
    CONSTRAINT_VIOLATION("ERROR.CONSTRAINT_VIOLATION_OCCURRED"),
    VALIDATION_EXCEPTION("ERROR.VALIDATION_EXCEPTION_OCCURRED"),
    REQUEST_PROCESSING_ERROR("ERROR.ERROR_OCCURRED_WHILE_PROCESSING_REQUEST");

    private final String message;

    ErrorMessage(String message) {
        this.message = message;
    }
}
